Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 970939 - Should show the usage of all options for oo-auto-idler
Summary: Should show the usage of all options for oo-auto-idler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Mrunal Patel
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 09:32 UTC by Meng Bo
Modified: 2015-05-14 23:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-29 12:47:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Meng Bo 2013-06-05 09:32:28 UTC
Description of problem:
Run "oo-auto-idler help" on the node to get the command usage.

Missing some options in the help contents.
--interval
--list

Version-Release number of selected component (if applicable):
devenv_3321

How reproducible:
always

Steps to Reproduce:
1.Login to the node
2.Run "oo-auto-idler help"
3.

Actual results:
# oo-auto-idler help
  NAME:

    ["OpenShift Auto Idler"]

  DESCRIPTION:

    ["Utility to idle gears"]

  COMMANDS:
	
    help                 Display global or [command] help documentation.		
    idle                 List the gears ready to be idled	

  GLOBAL OPTIONS:
	
    -h, --help 
        Display help documentation
	
    -v, --version 
        Display version information
	
    -t, --trace 
        Display backtrace when an error occurs
	


Expected results:
Should have the usage about all options, like
--interval
--list

Additional info:

Comment 1 Mrunal Patel 2013-08-15 21:51:12 UTC
https://github.com/openshift/origin-server/pull/3381

One can use "oo-auto-idler help idle" to list the options for idle command.

Comment 2 chunchen 2013-08-16 11:59:52 UTC
It's fixed, verified on devenv_3660, please refer to the following results:

# oo-auto-idler help idle

  NAME:

    idle

  DESCRIPTION:

    List the gears ready to be idled

  SYNOPSIS:

    /usr/sbin/oo-auto-idler idle [options]

  OPTIONS:
	
    --interval HOURS 
        Hours for which gears have been idle
	
    --list 
        Only list the stale gears
	
    --verbose 
        Print debug information


Note You need to log in before you can comment on or make changes to this bug.